org.wildfly.swarm.config.elytron

## Class SslSession<T extends SslSession<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.SslSession<T>

-     public class SslSession<T extends SslSession<T>>
      extends Object

  A currently established SSL session.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SslSession(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Integer` | `applicationBufferSize()` The application buffer size as reported by the SSLSession.
    `T` | `applicationBufferSize(Integer value)` The application buffer size as reported by the SSLSession.
    `String` | `cipherSuite()` The selected cipher suite as reported by the SSLSession.
    `T` | `cipherSuite(String value)` The selected cipher suite as reported by the SSLSession.
    `String` | `creationTime()` The creation time as reported by the SSLSession.
    `T` | `creationTime(String value)` The creation time as reported by the SSLSession.
    `String` | `getKey()`
    `String` | `lastAccessedTime()` The last accessed time as reported by the SSLSession.
    `T` | `lastAccessedTime(String value)` The last accessed time as reported by the SSLSession.
    `T` | `localCertificate(Map value)` The local certificates from the SSLSession.
    `List<Map>` | `localCertificates()` The local certificates from the SSLSession.
    `T` | `localCertificates(List<Map> value)` The local certificates from the SSLSession.
    `T` | `localCertificates(Map... args)` The local certificates from the SSLSession.
    `String` | `localPrincipal()` The local principal as reported by the SSLSession.
    `T` | `localPrincipal(String value)` The local principal as reported by the SSLSession.
    `Integer` | `packetBufferSize()` The packet buffer size as reported by the SSLSession.
    `T` | `packetBufferSize(Integer value)` The packet buffer size as reported by the SSLSession.
    `T` | `peerCertificate(Map value)` The peer certificates from the SSLSession.
    `List<Map>` | `peerCertificates()` The peer certificates from the SSLSession.
    `T` | `peerCertificates(List<Map> value)` The peer certificates from the SSLSession.
    `T` | `peerCertificates(Map... args)` The peer certificates from the SSLSession.
    `String` | `peerHost()` The peer host as reported by the SSLSession.
    `T` | `peerHost(String value)` The peer host as reported by the SSLSession.
    `Integer` | `peerPort()` The peer port as reported by the SSLSession.
    `T` | `peerPort(Integer value)` The peer port as reported by the SSLSession.
    `String` | `peerPrincipal()` The peer principal as reported by the SSLSession.
    `T` | `peerPrincipal(String value)` The peer principal as reported by the SSLSession.
    `String` | `protocol()` The protocol as reported by the SSLSession.
    `T` | `protocol(String value)` The protocol as reported by the SSLSession.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Boolean` | `valid()` The validity of the session as reported by the SSLSession.
    `T` | `valid(Boolean value)` The validity of the session as reported by the SSLSession.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SslSession

          public SslSession(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### applicationBufferSize

          public Integer applicationBufferSize()

      The application buffer size as reported by the SSLSession.

    - #### applicationBufferSize

          public T applicationBufferSize(Integer value)

      The application buffer size as reported by the SSLSession.

    - #### cipherSuite

          public String cipherSuite()

      The selected cipher suite as reported by the SSLSession.

    - #### cipherSuite

          public T cipherSuite(String value)

      The selected cipher suite as reported by the SSLSession.

    - #### creationTime

          public String creationTime()

      The creation time as reported by the SSLSession.

    - #### creationTime

          public T creationTime(String value)

      The creation time as reported by the SSLSession.

    - #### lastAccessedTime

          public String lastAccessedTime()

      The last accessed time as reported by the SSLSession.

    - #### lastAccessedTime

          public T lastAccessedTime(String value)

      The last accessed time as reported by the SSLSession.

    - #### localCertificates

          public List<Map> localCertificates()

      The local certificates from the SSLSession.

    - #### localCertificates

          public T localCertificates(List<Map> value)

      The local certificates from the SSLSession.

    - #### localCertificate

          public T localCertificate(Map value)

      The local certificates from the SSLSession.

    - #### localCertificates

          public T localCertificates(Map... args)

      The local certificates from the SSLSession.

    - #### localPrincipal

          public String localPrincipal()

      The local principal as reported by the SSLSession.

    - #### localPrincipal

          public T localPrincipal(String value)

      The local principal as reported by the SSLSession.

    - #### packetBufferSize

          public Integer packetBufferSize()

      The packet buffer size as reported by the SSLSession.

    - #### packetBufferSize

          public T packetBufferSize(Integer value)

      The packet buffer size as reported by the SSLSession.

    - #### peerCertificates

          public List<Map> peerCertificates()

      The peer certificates from the SSLSession.

    - #### peerCertificates

          public T peerCertificates(List<Map> value)

      The peer certificates from the SSLSession.

    - #### peerCertificate

          public T peerCertificate(Map value)

      The peer certificates from the SSLSession.

    - #### peerCertificates

          public T peerCertificates(Map... args)

      The peer certificates from the SSLSession.

    - #### peerHost

          public String peerHost()

      The peer host as reported by the SSLSession.

    - #### peerHost

          public T peerHost(String value)

      The peer host as reported by the SSLSession.

    - #### peerPort

          public Integer peerPort()

      The peer port as reported by the SSLSession.

    - #### peerPort

          public T peerPort(Integer value)

      The peer port as reported by the SSLSession.

    - #### peerPrincipal

          public String peerPrincipal()

      The peer principal as reported by the SSLSession.

    - #### peerPrincipal

          public T peerPrincipal(String value)

      The peer principal as reported by the SSLSession.

    - #### protocol

          public String protocol()

      The protocol as reported by the SSLSession.

    - #### protocol

          public T protocol(String value)

      The protocol as reported by the SSLSession.

    - #### valid

          public Boolean valid()

      The validity of the session as reported by the SSLSession.

    - #### valid

          public T valid(Boolean value)

      The validity of the session as reported by the SSLSession.

Copyright © 2017 JBoss by Red Hat. All rights reserved.